%global srcname pytest-relaxed
%global desc  pytest-relaxed provides 'relaxed' test discovery for pytest. \
It is the spiritual successor to https://pypi.python.org/pypi/spec, but \
is built for pytest instead of nosetests, and rethinks some aspects of \
the design (such as a decreased emphasis on the display side of things.)

Name: python-%{srcname}
Version: 1.0.0
Release: 7%{?dist}
Summary: Relaxed test discovery for pytest

License: BSD
URL: https://github.com/bitprophet/pytest-relaxed
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch: noarch

%description
%{desc}

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}
BuildRequires: python2-devel 
BuildRequires: python2-setuptools
BuildRequires: python2-pytest
BuildRequires: python2-six
BuildRequires: python2-decorator
Requires: python2-pytest
Requires: python2-six
Requires: python2-decorator

%description -n python2-%{srcname}
%{desc}

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires: python3-devel 
BuildRequires: python3-setuptools
BuildRequires: python3-pytest
BuildRequires: python3-six
BuildRequires: python3-decorator
Requires: python3-pytest
Requires: python3-six
Requires: python3-decorator

%description -n python3-%{srcname}
%{desc}

%prep
%autosetup -n %{srcname}-%{version}

%build

%py2_build
%py3_build

%install
%py2_install
%py3_install


%check
#TODO: Enable the test suite once pytest > 3.3 compatibility is sorted
#PYTHONPATH=%{buildroot}%{python2_sitelib} pytest-%{python2_version}
#PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-%{python3_version}

%files -n python2-%{srcname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/pytest_relaxed-%{version}-py%{python2_version}.egg-info/
%{python2_sitelib}/pytest_relaxed/


%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/pytest_relaxed-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/pytest_relaxed/

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.0-6
- Rebuilt for Python 3.7

* Thu Jun 28 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 1.0.0-5
- Disable the test suite until a version compatible with pytest > 3.3 is available

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.0-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Nov 17 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 1.0.0-2
- Minor packaging fixes

* Thu Nov 16 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 1.0.0-1
- Initial spec

